# IGESToBRep_TopoSurface.hxx File Reference

`#include <Standard_Real.hxx>`
`#include <IGESToBRep_CurveAndSurface.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Handle_IGESData_IGESEntity.hxx>`
`#include <Handle_IGESGeom_RuledSurface.hxx>`
`#include <Handle_IGESGeom_SurfaceOfRevolution.hxx>`
`#include <Handle_IGESGeom_TabulatedCylinder.hxx>`
`#include <Handle_IGESGeom_OffsetSurface.hxx>`
`#include <Handle_IGESGeom_TrimmedSurface.hxx>`
`#include <Handle_IGESGeom_BoundedSurface.hxx>`
`#include <Handle_IGESGeom_Plane.hxx>`
`#include <Handle_IGESSolid_PlaneSurface.hxx>`
`#include <Handle_IGESBasic_SingleParent.hxx>`
`#include <Standard.hxx>`
`#include <Standard_Macro.hxx>`